Subject: Re: [PATCH v4 6/7] Remove dead code which contains bad gettext block

From: Jonathan Nieder <[email-masked]>
Date: Tue, 24 Jul 2012 23:30:57 -0500

Jiang Xin wrote:
> Found this dead code when I examine gettext messages in shell scripts
> start with dash ('-' or '--'). An error will be raised for this case,
> like:
> 
>     $ gettext "-d option is no longer supported.  Do not use."
>     gettext: missing arguments
> 
> Indead, this code has been left as dead for a long time, as Junathan
> points out:

Jonathan, not Junathan. :)

>     The git am -d/--dotest option has errored out with a message
>     since e72c7406 (am: remove support for -d .dotest, 2008-03-04).
>     The error message about lack of support was eliminated along
>     with other cleanups (probably by mistake) a year later by
>     removing the option from the option table in 98ef23b3 (git-am:
>     minor cleanups, 2009-01-28).
>
>     But the code to handle -d and --dotest stayed around even though
>     ever since then it could not be tripped.  Remove this dead code.
>
> Signed-off-by: Jiang Xin <[email-masked]>

Your explanation is certainly clearer than mine.  So: yes, for what
it's worth this is

Reviewed-by: Jonathan Nieder <[email-masked]>